Bug 211095 - security/strongswan: Update to 5.5.0
Summary: security/strongswan: Update to 5.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-07-13 20:45 UTC by Renato Botelho
Modified: 2016-07-19 17:37 UTC (History)
1 user (show)

See Also:
strongswan: maintainer-feedback+


Attachments
update to 5.5.0 (1.04 KB, patch)
2016-07-13 20:45 UTC, Renato Botelho
koobs: maintainer-approval-
Details | Diff
Update security/strongswan to 5.5.0 (1.69 KB, patch)
2016-07-15 09:05 UTC, strongswan
strongswan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2016-07-13 20:45:47 UTC
Created attachment 172481 [details]
update to 5.5.0

Update security/strongswan to 5.5.0

Obtained from: pfSense
Sponsored by: Netgate
Comment 1 strongswan 2016-07-15 09:05:33 UTC
Created attachment 172547 [details]
Update security/strongswan to 5.5.0

Updated previous patch.
Fixed the following
 - Added dependency for UNBOUND option on libldns.so:dns/ldns
 - Updated MYSQL option with MYSQL_USES=mysql to remove deprecated USE option.
Comment 2 strongswan 2016-07-15 09:07:08 UTC
Patch is ready to apply now, thanks.
Comment 3 strongswan 2016-07-15 09:16:30 UTC
Comment on attachment 172481 [details]
update to 5.5.0

Updated by new patch.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-15 09:27:20 UTC
Reporter is committer, assign accordingly
Comment 5 Renato Botelho freebsd_committer 2016-07-15 16:57:00 UTC
(In reply to strongswan from comment #1)

unbound port already depends of ldns, any special reason to add this dependency explicit here?
Comment 6 strongswan 2016-07-18 05:11:23 UTC
(In reply to Renato Botelho from comment #5)
This was done to resolve the following warning from stage-qa

====> Running Q/A tests (stage-qa)
Error: /usr/local/lib/ipsec/plugins/libstrongswan-unbound.so is linked to /usr/local/lib/libldns.so.1 from dns/ldns but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libldns.so:dns/ldns
Comment 7 commit-hook freebsd_committer 2016-07-19 16:38:42 UTC
A commit references this bug:

Author: garga
Date: Tue Jul 19 16:38:12 UTC 2016
New revision: 418809
URL: https://svnweb.freebsd.org/changeset/ports/418809

Log:
  Update security/strongswan to 5.5.0

  PR:		211095
  Submitted by:	strongswan@Nanoteq.com (maintainer)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/distinfo